manifoldcf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karl Wright (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CONNECTORS-1431) Make Elasticsearch connector compatible with ES 5.x
Date Fri, 09 Jun 2017 11:23:18 GMT

    [ https://issues.apache.org/jira/browse/CONNECTORS-1431?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16044323#comment-16044323
] 

Karl Wright commented on CONNECTORS-1431:
-----------------------------------------

Hi Hans,

Unfortunately we do not have any ES experts among our committers.

ES changes its APIs quite often in non-backwards-compatible ways.  In this particular case
we will need to introduce an ElasticSearch version string, or we lose backwards compatibility
in MCF with older versions of ES.

The upshot is that this is not a trivial change, so it will not be available except as a simple
patch until 2.8 is shipped.



> Make Elasticsearch connector compatible with ES 5.x
> ---------------------------------------------------
>
>                 Key: CONNECTORS-1431
>                 URL: https://issues.apache.org/jira/browse/CONNECTORS-1431
>             Project: ManifoldCF
>          Issue Type: New Feature
>          Components: ElasticSearch component
>    Affects Versions: ManifoldCF 2.7
>         Environment: CentOs7, Java8, PostgreSQL 9.2
>            Reporter: Hans Van Goethem
>            Assignee: Karl Wright
>            Priority: Critical
>              Labels: beginner
>             Fix For: ManifoldCF 2.8
>
>
> Usage of "Optimize API" must be replace by ForgeMerge. [https://www.elastic.co/guide/en/elasticsearch/reference/2.4/indices-optimize.html]



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message